## org.eclipse.datatools.modelbase.sql.constraints.impl
Class IndexImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl

All Implemented Interfaces:
  Index, SQLObject

Direct Known Subclasses:
  JDBCIndex

    public class IndexImpl

extends SQLObjectImpl
implements Index

An implementation of the model object 'Index'.

The following features are implemented:

- `Schema`
- `Clustered`
- `Fill Factor`
- `Unique`
- `System Generated`
- `Members`
- `Table`
- `Foreign Key`
- `Included Members`

Method Summary
`Schema` `basicGetSchema()`
`Table` `basicGetTable()`
`NotificationChain` `basicSetSchema(Schema newSchema, NotificationChain msgs)`
`NotificationChain` `basicSetTable(Table newTable, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getFillFactor()`
`EList` `getForeignKey()`
`EList` `getIncludedMembers()`
`EList` `getMembers()`
`Schema` `getSchema()`
`Table` `getTable()`
`boolean` `isClustered()`
`boolean` `isSystemGenerated()`
`boolean` `isUnique()`
`void` `setClustered(boolean newClustered)`
`void` `setFillFactor(int newFillFactor)`
`void` `setSchema(Schema newSchema)`
`void` `setSystemGenerated(boolean newSystemGenerated)`
`void` `setTable(Table newTable)`
`void` `setUnique(boolean newUnique)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getSchema

    public Schema getSchema()

  Specified by:
    `getSchema` in interface `Index`
  Returns:
    the value of the 'Schema' reference.
  See Also:
    `Index.setSchema(Schema)`, `SQLConstraintsPackage.getIndex_Schema()`, `Schema.getIndices()`

### basicGetSchema

    public Schema basicGetSchema()

### basicSetSchema

    public NotificationChain basicSetSchema(Schema newSchema,
                                            NotificationChain msgs)

### setSchema

    public void setSchema(Schema newSchema)

  Specified by:
    `setSchema` in interface `Index`
  Parameters:
    `newSchema` - the new value of the 'Schema' reference.
  See Also:
    `Index.getSchema()`

### isClustered

    public boolean isClustered()

  Specified by:
    `isClustered` in interface `Index`
  Returns:
    the value of the 'Clustered' attribute.
  See Also:
    `Index.setClustered(boolean)`, `SQLConstraintsPackage.getIndex_Clustered()`

### setClustered

    public void setClustered(boolean newClustered)

  Specified by:
    `setClustered` in interface `Index`
  Parameters:
    `newClustered` - the new value of the 'Clustered' attribute.
  See Also:
    `Index.isClustered()`

### getFillFactor

    public int getFillFactor()

  Specified by:
    `getFillFactor` in interface `Index`
  Returns:
    the value of the 'Fill Factor' attribute.
  See Also:
    `Index.setFillFactor(int)`, `SQLConstraintsPackage.getIndex_FillFactor()`

### setFillFactor

    public void setFillFactor(int newFillFactor)

  Specified by:
    `setFillFactor` in interface `Index`
  Parameters:
    `newFillFactor` - the new value of the 'Fill Factor' attribute.
  See Also:
    `Index.getFillFactor()`

### isUnique

    public boolean isUnique()

  Specified by:
    `isUnique` in interface `Index`
  Returns:
    the value of the 'Unique' attribute.
  See Also:
    `Index.setUnique(boolean)`, `SQLConstraintsPackage.getIndex_Unique()`

### setUnique

    public void setUnique(boolean newUnique)

  Specified by:
    `setUnique` in interface `Index`
  Parameters:
    `newUnique` - the new value of the 'Unique' attribute.
  See Also:
    `Index.isUnique()`

### isSystemGenerated

    public boolean isSystemGenerated()

  Specified by:
    `isSystemGenerated` in interface `Index`
  Returns:
    the value of the 'System Generated' attribute.
  See Also:
    `Index.setSystemGenerated(boolean)`, `SQLConstraintsPackage.getIndex_SystemGenerated()`

### setSystemGenerated

    public void setSystemGenerated(boolean newSystemGenerated)

  Specified by:
    `setSystemGenerated` in interface `Index`
  Parameters:
    `newSystemGenerated` - the new value of the 'System Generated' attribute.
  See Also:
    `Index.isSystemGenerated()`

### getMembers

    public EList getMembers()

  Specified by:
    `getMembers` in interface `Index`
  Returns:
    the value of the 'Members' containment reference list.
  See Also:
    `SQLConstraintsPackage.getIndex_Members()`

### getTable

    public Table getTable()

  Specified by:
    `getTable` in interface `Index`
  Returns:
    the value of the 'Table' reference.
  See Also:
    `Index.setTable(Table)`, `SQLConstraintsPackage.getIndex_Table()`, `Table.getIndex()`

### basicGetTable

    public Table basicGetTable()

### basicSetTable

    public NotificationChain basicSetTable(Table newTable,
                                           NotificationChain msgs)

### setTable

    public void setTable(Table newTable)

  Specified by:
    `setTable` in interface `Index`
  Parameters:
    `newTable` - the new value of the 'Table' reference.
  See Also:
    `Index.getTable()`

### getForeignKey

    public EList getForeignKey()

  Specified by:
    `getForeignKey` in interface `Index`
  Returns:
    the value of the 'Foreign Key' reference list.
  See Also:
    `SQLConstraintsPackage.getIndex_ForeignKey()`, `ForeignKey.getUniqueIndex()`

### getIncludedMembers

    public EList getIncludedMembers()

  Specified by:
    `getIncludedMembers` in interface `Index`
  Returns:
    the value of the 'Included Members' containment reference list.
  See Also:
    `SQLConstraintsPackage.getIndex_IncludedMembers()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.